Package org.bukkit.event.player

# Class PlayerHarvestBlockEvent

java.lang.Object
org.bukkit.event.Event
org.bukkit.event.player.PlayerEvent
org.bukkit.event.player.PlayerHarvestBlockEvent

All Implemented Interfaces:
  `Cancellable`

public class PlayerHarvestBlockEvent extends PlayerEvent implements Cancellable
This event is called whenever a player harvests a block.
A 'harvest' is when a block drops an item (usually some sort of crop) and changes state, but is not broken in order to drop the item.
This event is not called for when a block is broken, to handle that, listen for `BlockBreakEvent` and `BlockDropItemEvent`.

## Nested Class Summary

## Nested classes/interfaces inherited from class org.bukkit.event.Event

`Event.Result`

## Field Summary

### Fields inherited from class org.bukkit.event.player.PlayerEvent

`player`

## Constructor Summary

Constructors
Constructor
Description
`PlayerHarvestBlockEvent(@NotNull Player player, @NotNull Block harvestedBlock, @NotNull List<ItemStack> itemsHarvested)`
Deprecated.
`PlayerHarvestBlockEvent(@NotNull Player player, @NotNull Block harvestedBlock, @NotNull EquipmentSlot hand, @NotNull List<ItemStack> itemsHarvested)`

## Method Summary

Modifier and Type
Method
Description
`@NotNull EquipmentSlot`
`getHand()`
Get the hand used to harvest the block.
`static @NotNull HandlerList`
`getHandlerList()`
`@NotNull HandlerList`
`getHandlers()`
`@NotNull Block`
`getHarvestedBlock()`
Gets the block that is being harvested.
`@NotNull List<ItemStack>`
`getItemsHarvested()`
Gets a list of items that are being harvested from this block.
`boolean`
`isCancelled()`
Gets the cancellation state of this event.
`void`
`setCancelled(boolean cancel)`
Sets the cancellation state of this event.

### Methods inherited from class org.bukkit.event.player.PlayerEvent

`getPlayer`

### Methods inherited from class org.bukkit.event.Event

`callEvent, getEventName, isAsynchronous`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PlayerHarvestBlockEvent

public PlayerHarvestBlockEvent(@NotNull @NotNull Player player, @NotNull @NotNull Block harvestedBlock, @NotNull @NotNull EquipmentSlot hand, @NotNull @NotNull List<ItemStack> itemsHarvested)

### PlayerHarvestBlockEvent

@Deprecated public PlayerHarvestBlockEvent(@NotNull @NotNull Player player, @NotNull @NotNull Block harvestedBlock, @NotNull @NotNull List<ItemStack> itemsHarvested)
Deprecated.

## Method Details

### getHarvestedBlock

@NotNull public @NotNull Block getHarvestedBlock()
Gets the block that is being harvested.

Returns:
  The block that is being harvested

### getHand

@NotNull public @NotNull EquipmentSlot getHand()
Get the hand used to harvest the block.

Returns:
  the hand

### getItemsHarvested

@NotNull public @NotNull List<ItemStack> getItemsHarvested()
Gets a list of items that are being harvested from this block.

Returns:
  A list of items that are being harvested from this block

### isCancelled

public boolean isCancelled()
Description copied from interface: `Cancellable`
Gets the cancellation state of this event. A cancelled event will not be executed in the server, but will still pass to other plugins

Specified by:
  `isCancelled` in interface `Cancellable`
Returns:
  true if this event is cancelled

### setCancelled

public void setCancelled(boolean cancel)
Description copied from interface: `Cancellable`
Sets the cancellation state of this event. A cancelled event will not be executed in the server, but will still pass to other plugins.

Specified by:
  `setCancelled` in interface `Cancellable`
Parameters:
  `cancel` - true if you wish to cancel this event

### getHandlers

@NotNull public @NotNull HandlerList getHandlers()

Specified by:
  `getHandlers` in class `Event`

### getHandlerList

@NotNull public static @NotNull HandlerList getHandlerList()